Completed call reports

List completed call reports

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
filterstringOptional

Use the filter query parameter to retrieve just a subset of a collection.

searchstringOptional

Use the search query parameter to restrict the results of a request to match a search criterion.

orderbystringOptional

Use the orderby query parameter to specify the sort order of the items returned from server.
The default order is ascending order.

skipinteger · int32Optional

Use the skip query parameter to set the number of items to skip at the start of a collection.

Default: 0
topinteger · int32 · min: 1 · max: 100Optional

Use the top query parameter to specify the page size of the result set.

Default: 100
Responses
chevron-right
200

OK

application/json
countinteger · int64Optional

Total number of resource.

Example: 100
get
/completed_call_reports

Get completed call report details

get

Get details of completed call report by it's unique ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idall ofRequired

The unique ID of this call report.

stringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
chevron-right
200

OK

application/json
idall ofOptional

The unique ID of this call report.

stringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
namestringOptional

The name of call report.

typestring · enumOptional

The report types can be either:

  • NORMAL:
  • EXTENSION_GROUP_CALL_COST:
  • QUEUE_PERFORMANCE:
  • QUEUE_DETAILED_STATISTICS:
  • QUEUE_ABANDONED_CALLS:
  • QUEUE_SLA_STATISTICS:
  • QUEUE_BREACHES_SLA_STATISTICS:
  • QUEUE_CALLBACKS:
  • QUEUE_FAILED_CALLBACKS:
  • TEAM_QUEUE_GENERAL_STATISTICS:
  • RING_GROUP_STATISTICS:
Possible values:
formatstring · enumOptional

The report output files format can be either:

  • CSV:
  • HTML:
Possible values:
completed_atall ofOptional

The completed time of call report.

string · date_timeOptional

The RFC 3339 format is defined by The date_time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z

Example: 2017-07-21T17:32:28Z
file_namestringOptional

The name of the file.

file_sizeinteger · int64Optional

The file size in bytes.

Example: 0
file_urlstringRead-onlyOptional

The relative path to file url for file downloading.

Example: /api/blobs/WexWdABcd5D4PDgzTKV3gAAAEu00WcK
get
/completed_call_reports/{id}